Class | String
In: | lib/ferret/number_tools.rb
Parent: | Object

### Methods

to_date_lex to_date_time_lex to_i_lex to_time_lex

### Public Instance methods

to_date_lex()

Convert a string to a Date. This method will only work on strings that match the format %Y%m%d %H%M%S, otherwise the result will be unpredictable.

to_date_time_lex()

Convert a string to a DateTime. This method will only work on strings that match the format %Y%m%d %H%M%S, otherwise the result will be unpredictable.

to_i_lex()

Convert a string to an integer. This method will only work on strings that were previously created with Integer#to_s_lex, otherwise the result will be unpredictable.

to_time_lex()

Convert a string to a Time. This method will only work on strings that match the format %Y%m%d %H%M%S, otherwise the result will be unpredictable.

[Validate]